Skip to main content
`Ctrl`+`K`

# TSTrajectorySetKeepFiles

Keep the files generated by the `TSTrajectory` once the program is done

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectorySetKeepFiles(TSTrajectory tj, PetscBool flg)

Collective

## Input Parameters

- tj - the `TSTrajectory` context

- flg - `PETSC_TRUE` to save, `PETSC_FALSE` to disable

## Options Database Key

- -ts_trajectory_keep_files - have it keep the files

## Note

By default the `TSTrajectory` used for adjoint computations, `TSTRAJECTORYBASIC`, removes the files it generates at the end of the run. This causes the files to be kept.

## See Also

TS: Scalable ODE and DAE Solvers, `TSTrajectoryCreate()`, `TSTrajectoryDestroy()`, `TSTrajectorySetUp()`, `TSTrajectorySetMonitor()`

## Level

advanced

## Location

src/ts/trajectory/interface/traj.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages